﻿@model WebPortalShopBridge.Models.ProductViewModel
<div class="container" id="product-content">
    @using (Html.BeginForm("AddProduct", "Product", FormMethod.Post, new { enctype = "multipart/form-data" }))
    {

        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="product-row">
            <div>
                <img id="user_img"
                     height="100"
                     width="90"
                     style="border:solid ;float:left;" />
            </div>
            <div class="product-div">
                <input type="file" title="search image" id="image-file" name="file" accept="image/*" onchange="show(this)" />
            </div>
            </div>
            <div class="product-row">
                <div>
                    @Html.LabelFor(x => x.Categories, "Category")
                    <div class="product-div">@Html.DropDownListFor(m => m.SelectedCategoryId, new SelectList(Model.Categories, "Key", "Value"), new { @Id = "categoryId" })</div>
                </div>
            </div>
            <div class="product-row">
                <div class="label-product">
                    Product Id
                </div>
                <div class="product-div">
                    <input type="text" id="txt_id" name="ProductId" />
                </div>
            </div>
            <div class="product-row">
                <div class="label-product">
                    Name
                </div>
                <div class="product-div">
                    <input type="text" id="txt_name" name="Name" />
                </div>
            </div>
            <div class="product-row">
                <div class="label-product">
                    Description
                </div>
                <div class="product-div">
                    <input type="text" id="txt_description" name="Description" />
                </div>
            </div>
            <div class="product-row">
                <div class="label-product">
                    Price
                </div>
                <div class="product-div">
                    <input type="number" id="txt_price" name="Price" />
                </div>
            </div>
            <div class="product-row">
                <div class="label-product">
                    Availability
                </div>
                <div class="product-div">
                    <input type="number" id="txt_availability" name="Availability" />
                </div>
            </div>
            <div style="text-align: center; margin-top: 0.6em;">
                <input type="submit" title="save" onsubmit="validateMethod();" />
            </div>
            }
        </div>
        <script type="text/javascript">
            function show(input) {
                if (input.files && input.files[0]) {
                    var filerdr = new FileReader();
                    filerdr.onload = function (e) {
                        $('#user_img').attr('src', e.target.result);
                    }
                    var imageSize = ((input.files[0].size) / 1024 / 1024);
                    if (imageSize > 1) { $('#image-file').val('').clone(true); return; }

                    filerdr.readAsDataURL(input.files[0]);
                }
            }
            function validateMethod() {
                debugger
                if ($('#categoryId').val() == 0)
                    alert("Hello");
            }
        </script>
